Bug 1565731 (CVE-2018-9260) - CVE-2018-9260 wireshark: IEEE 802.15.4 dissector crash in epan/dissectors/packet-ieee802154.c
Summary: CVE-2018-9260 wireshark: IEEE 802.15.4 dissector crash in epan/dissectors/pa...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-9260
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1565723 1565732 1575729
Blocks: 1565716
TreeView+ depends on / blocked
 
Reported: 2018-04-10 15:49 UTC by Laura Pardo
Modified: 2019-09-29 14:37 UTC (History)
7 users (show)

Fixed In Version: wireshark 2.4.6, wireshark 2.2.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 18:44:23 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-10 15:49:50 UTC
A flaw was found in Wireshark 2.4.0 to 2.4.5 and 2.2.0 to 2.2.13, the IEEE 802.15.4 dissector could crash. This was addressed in epan/dissectors/packet-ieee802154.c by ensuring that an allocation step occurs.


References:
https://www.wireshark.org/security/wnpa-sec-2018-17.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14468

Patch:
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=14d6f717d8ea27688af48532edb1d29f502ea8f0

Comment 1 Laura Pardo 2018-04-10 16:09:20 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1565723]


Note You need to log in before you can comment on or make changes to this bug.